__gnu_cxx::condition_base Struct Reference
Inheritance diagram for __gnu_cxx::condition_base:
[legend]

## Public Member Functions

| condition_base (const condition_base &)=default
condition_base & | operator= (const condition_base &)=default

## Detailed Description

Base struct for condition policy.

Requires a public member function with the signature void throw_conditionally()

Definition at line 416 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h